import { AfterViewInit, ElementRef, OnInit } from "@angular/core";
import { StiBarcodeElement } from "../../elements/StiBarcodeElement";
import { StiModelService } from "../../services/model.service";
export declare class StiBarcodeComponent implements OnInit, AfterViewInit {
    model: StiModelService;
    element: StiBarcodeElement;
    isClone: boolean;
    ref: ElementRef;
    get align(): string;
    get barcode(): string;
    get barcodeHeight(): number;
    get barcodeWidth(): number;
    constructor(model: StiModelService);
    ngOnInit(): void;
    ngAfterViewInit(): void;
}
